org.apache.ignite.internal.processors.platform.cache.query

## Class PlatformContinuousQueryRemoteFilter

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.cache.query.PlatformContinuousQueryRemoteFilter

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.event.CacheEntryEventFilter, CacheEntryEventSerializableFilter, PlatformContinuousQueryFilter

    public class PlatformContinuousQueryRemoteFilter
    extends Object
    implements PlatformContinuousQueryFilter, Externalizable

Continuous query filter deployed on remote nodes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformContinuousQueryRemoteFilter()` `Externalizable` support.
`PlatformContinuousQueryRemoteFilter(Object filter)` Constructor.

### Method Summary

Methods
`boolean` `evaluate(javax.cache.event.CacheEntryEvent evt)`
`void` `onQueryUnregister()` Callback for query unregister event.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformContinuousQueryRemoteFilter

    public PlatformContinuousQueryRemoteFilter()

`Externalizable` support.

#### PlatformContinuousQueryRemoteFilter

    public PlatformContinuousQueryRemoteFilter(Object filter)

Constructor.

Parameters:
  `filter` - Serialized native filter.

### Method Detail

#### evaluate

    public boolean evaluate(javax.cache.event.CacheEntryEvent evt)
                     throws javax.cache.event.CacheEntryListenerException

Specified by:
  `evaluate` in interface `javax.cache.event.CacheEntryEventFilter`
Throws:
  `javax.cache.event.CacheEntryListenerException`

#### onQueryUnregister

    public void onQueryUnregister()

Callback for query unregister event.

Specified by:
  `onQueryUnregister` in interface `PlatformContinuousQueryFilter`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016